# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import pooler
import time
from tools.translate import _

select_picking_form = """<?xml version="1.0"?>
<form string="Select Picking">
    <field name="picking_id"/>
</form>"""

select_picking_fields = {
            'picking_id': {'string': 'Picking', 'type': 'many2one', 'relation': 'stock.picking','domain': [('type','=','out')], 'required': True},
            }

class select_picking(wizard.interface):

    def _open_picking(self, cr, uid, data, context):
        pool = pooler.get_pool(cr.dbname)
        pool_obj = pooler.get_pool(cr.dbname)
        model_data_ids = pool.get('ir.model.data').search(cr,uid,[('model','=','ir.ui.view'),('name','=','view_picking_scanned_form')])
        resource_id = pool.get('ir.model.data').read(cr,uid,model_data_ids,fields=['res_id'])[0]['res_id']
        value = {
                'name': 'Open Picking',
                'view_type': 'form',
                'view_mode': 'form',
                'res_model': 'stock.picking',
                'type': 'ir.actions.act_window',
                'view_id':[resource_id],
                'res_id':data['form']['picking_id'],
            }
        return value

    states = {
        'init' : {
            'actions' : [],
            'result' : {'type' : 'form',
                    'arch' : select_picking_form,
                    'fields' : select_picking_fields,
                    'state' : [('end', 'Cancel', 'gtk-cancel'),('open_picking', 'Ok', 'gtk-ok', True) ]}
        },
         'open_picking' : {
            'actions' : [],
            'result' : {'type' : 'action',
                    'action' : _open_picking,
                    'state' : 'end'}
            }
    }
select_picking("select.picking")

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4: