# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (c) 2009 Zikzakmedia S.L. (http://zikzakmedia.com) All Rights Reserved.
#                       Jordi Esteve <jesteve@zikzakmedia.com>
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields
from tools.translate import _

class ir_sequence(osv.osv):

    _inherit = 'ir.sequence'
    _columns = {
        'number_max': fields.char('Max. Sequence',size=64,),
        'warning_number': fields.char('Warning Limit',size=64,),
    }

    def get_id(self, cr, uid, sequence_id, test='id=%s', context=None):
        if context is None:
            context = {}
        if test not in ('id=%s', 'code=%s'):
            raise osv.except_osv(_('ValueError'), _("Invalid Value"))
        cr.execute('select id from ir_sequence where '+test+' and active=%s', (sequence_id, True,))
        res = cr.dictfetchone()
        if res:
            ean_nr = self.browse(cr, uid, res['id'], context=context)
            sequence = super(ir_sequence, self).get_id(cr, uid, sequence_id, test, context)
            code = 'generator.ean13'
            if ean_nr.code == code:
                number = ean_nr.number_max
                check_seq = sequence[8:]
                if check_seq >= ean_nr.warning_number:
                    obj = self.pool.get("ir.actions.server")
                    action_name = "EAN Generator Action"
                    id = obj.search(cr, uid, [('name',"ilike",action_name)])
                    context.update({'active_id':res['id']})
                    obj.run(cr, uid, id, context)
            return sequence

ir_sequence()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
