# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from osv import fields, osv
from tools.translate import _
import time

class stock_holding_rate(osv.osv):
    _name = "stock.holding.rate"
    _columns = {
        'rate_id':fields.char("ID",size=64, required=True),
        'name':fields.char("Name",size=64, required=True),
        'stock_hold_rate':fields.float("Stock Holding Rate"),
        'date_start': fields.date('Start Date', required=True),
        'date_stop': fields.date('End Date', required=True),
        'active': fields.boolean('Active'),
        'holding_ids': fields.one2many('supplier.product', 'suppinfo_id', 'Supplier'),
    }
stock_holding_rate()

class supplier_product(osv.osv):
    _name = 'supplier.product'
    _rec_name = 'partner_id'
    _columns = {
        'suppinfo_id': fields.many2one('stock.holding.rate', 'Holding',),
        'partner_id': fields.many2one('res.partner', 'Suplier Information',),
        'supp_stock':fields.float("Supplier Stock"),
    }
supplier_product()

class product_seasonal(osv.osv):
    _name = 'product.seasonal'
    _columns = {
       'name':fields.char("Seasonal Name",size=64, required=True),
       'code':fields.char("Code",size=64, required=True),
       'seasonal_factor':fields.float("Seasonal Factor"),
    }
product_seasonal()

class product_product(osv.osv):
    _inherit = "product.product"
    _columns = {
        'seasonal_id':fields.many2one("product.seasonal",'Seasonal Model'),
        'plan_avg_consume':fields.float("Plan Average Daily Consumption"),
    }
product_product()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
