# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import wizard
import pooler
import time
from tools.translate import _

seasonal_trend_form = """<?xml version="1.0"?>
<form string="Seasonal Product Trend ">
    <field name="trend_seasonal_id"/>
    <field name="active"/>      
</form>"""

seasonal_trend_fields = {
    'trend_seasonal_id': {'string': 'Seasonal Model', 'type': 'many2one', 'relation': 'product.seasonal', 'required': True},
    'active': {'string':'Replace Models', 'type':'boolean'},
}

def _set_seasonal(self, cr, uid, data, context):

    product_obj = pooler.get_pool(cr.dbname).get('product.product')
    form = data['form']

    object_ids = form['active'] and data['ids'] or [data['id']]
    product_obj.write(cr, uid, object_ids, {'seasonal_id' : form['trend_seasonal_id']}, context=context)
    return {}


class product_seasonal_trend(wizard.interface):
    states = {
        'init' : {
            'actions' : [],
            'result' : {'type' : 'form',
                        'arch' : seasonal_trend_form,
                        'fields' : seasonal_trend_fields,
                        'state' : [('end', 'Cancel'),('set_seasonal', 'Ok') ]}
        },
        'set_seasonal' : {
            'actions' : [],
            'result' : {'type' : 'action',
                        'action' : _set_seasonal,
                        'state' : 'end'}
        }
    }
product_seasonal_trend("set_seasonal.trend")


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
